Автор Тема: Не обновляются пакеты  (Прочитано 27560 раз)

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Не обновляются пакеты
« : 06.02.2019 22:38:44 »
Добрый день.
Сломалось что-то у меня. При попытке обновления выдаётся одно и то же:
apt-cache: symbol lookup error: /usr/lib64/libapt-pkg-libc6.9-6.so.6: undefined symbol: rpmCheckRpmlibProvides

Что можно сделать, чтобы вылечить?

Сергей.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 444
  • Sunny 273 RUS crew
Re: Не обновляются пакеты
« Ответ #1 : 06.02.2019 23:01:58 »
А как это произошло? Что-то обновлялось? Если да, то с чего на что и были ли ошибки?

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #2 : 06.02.2019 23:06:15 »
К сожалению уже и не упомнить. У меня ком сломался год назад, может быть тогда что-то накрылось.
А я только месяц назад купил новые мамку и проц, и запустил систему.
Всё поднялось, но apt не работает вот с этой ошибкой.
Может быть какой-то файлик можно закопировать куда-нибудь?

Сергей.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 444
  • Sunny 273 RUS crew
Re: Не обновляются пакеты
« Ответ #3 : 06.02.2019 23:25:25 »
Можно попробовать apt переустановить с нужными зависимостями, если rpm жив. И, наверное, брать из архива Сизифа, тому времени соответствующего. Но, вообще, символ из librpm вроде как, так что, боюсь, rpm тоже не жив. Можно попробовать librpm вытащить из rpm-ки и положить руками в нужное место.

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 444
  • Sunny 273 RUS crew
Re: Не обновляются пакеты
« Ответ #4 : 06.02.2019 23:29:07 »
Кстати, если починить удастся, обновление лучше начать с обновления apt и rpm, а уже потом dist-upgrade. А то за год многое произошло.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 289
  • Кто ищет, тот найдёт.
    • Email
Re: Не обновляются пакеты
« Ответ #5 : 07.02.2019 06:28:17 »
Дистрибутив какой у вас установлен, вы уверены, что источник пакетов у вас Сизиф  ?

Оффлайн asy

  • alt linux team
  • ***
  • Сообщений: 6 444
  • Sunny 273 RUS crew
Re: Не обновляются пакеты
« Ответ #6 : 07.02.2019 11:21:09 »
Дистрибутив какой у вас установлен, вы уверены, что источник пакетов у вас Сизиф  ?
Я тоже почти спросил сначала, но удалил: раздел про Сизиф, да и libapt-pkg-libc6.9-6.so.6 в p8 нет.

Оффлайн sb

  • Модератор глобальный
  • *****
  • Сообщений: 8 289
  • Кто ищет, тот найдёт.
    • Email
Re: Не обновляются пакеты
« Ответ #7 : 07.02.2019 12:41:27 »
раздел про Сизиф, да и libapt-pkg-libc6.9-6.so.6 в p8 нет.
Хорошо, переношу обратно.

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #8 : 08.02.2019 08:20:38 »
Да, сизиф у меня. На выходных буду биться, если что получится, отпишусь. Ну а если не выйдет, буду систему переставлять.

Оффлайн yaleks

  • Мастер
  • ***
  • Сообщений: 4 711
Re: Не обновляются пакеты
« Ответ #9 : 08.02.2019 17:38:24 »
Да, сизиф у меня. На выходных буду биться, если что получится, отпишусь. Ну а если не выйдет, буду систему переставлять.
зачем переставлять? Можно нужные rpm скачать, распаковать и руками разнести файлы. Вам нужно починить rpm и apt-get всего-лишь для начала.

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #10 : 08.02.2019 23:24:59 »
Так вот и вопрос - какой пакет скачать и откуда?
Если предположить, что у меня 2017 года пакеты, то мне нужен rpm версии 4.13.0.1-alt1, но в Сизифе есть только ссылка на alt5

Кстати, пытаюсь скачать - даёт ссылку, которая не работает. Почему это?
ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/Sisyphus/files/x86_64/RPMS/rpm-4.13.0.1-alt5.x86_64.rpm

Онлайн Speccyfighter

  • Мастер
  • ***
  • Сообщений: 7 388
  • UNIX System V init
Re: Не обновляются пакеты
« Ответ #11 : 08.02.2019 23:43:27 »
Кстати, пытаюсь скачать - даёт ссылку, которая не работает. Почему это?
ftp://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus/Sisyphus/files/x86_64/RPMS/rpm-4.13.0.1-alt5.x86_64.rpm

Потому шо два каталога Sisyphus/Sisyphus нет на сервере.
ZX Spectrum 128K
Привет от NM:  # echo -e "\n[device]\nwifi.scan-rand-mac-address=no" >> /etc/NetworkManager/NetworkManager.conf

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #12 : 08.02.2019 23:55:37 »
Ясен пень! Вопрос в том, почему он даёт такую ссылку? что за баги?

И ещё
инфа по apt пакету говорит:
 Список rpm-пакетов, предоставляемый данным srpm-пакетом:

    apt
    apt-debuginfo
    apt-rsync
    apt-rsync-debuginfo
    libapt
    libapt-debuginfo
    libapt-devel

Вопрос: существует пакет libapt? он внутри пакета apt лежит или где? как его найти и достать?

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #13 : 09.02.2019 00:00:34 »
Ага, нашёл сам.
Вопрос ещё - а как скачать предыдущие версии пакетов? Вот сейчас alt5 пакет, а мне надо alt1, который был актуальным в конце 2017

Оффлайн Stone

  • Давно тут
  • **
  • Сообщений: 35
    • Email
Re: Не обновляются пакеты
« Ответ #14 : 09.02.2019 00:27:54 »
Всем спасибо. Теперь хоть synaptic начал запускаться.
Пришлось скачать librpm7-4.13.0.1-alt5.x86_64.rpm, распаковать, и скопировать несколько либ в /usr/lib64